summaryrefslogtreecommitdiff
path: root/t/silent-many-generic.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2012-06-14 13:13:58 +0200
committerStefano Lattarini <stefano.lattarini@gmail.com>2012-06-22 14:24:38 +0200
commit6e713425a0dcede167924e7691e95ab5e54e399c (patch)
tree4ce8cbe368733dc0049b5b690b13e0e3123d7a3a /t/silent-many-generic.sh
parentd0dc448517d3a61ba55e62dd76b9a42b68bef8f8 (diff)
downloadautomake-6e713425a0dcede167924e7691e95ab5e54e399c.tar.gz
tests: use more POSIX shell features our test scripts
Since commit 'v1.12-36-g2d68fd9' of 2012-05-07, "configure: search a sturdy POSIX shell to be used in the testsuite", the shell running our test script is assured to be a POSIX-conforming shell, so we can use the more modern and flexible idioms and features that we couldn't use when we also aimed at compatibility with non-POSIX Bourne shells, like Solaris /bin/sh. * t/README: Suggest to use POSIX shell features liberally in test cases, with possible exception of Makefile recipes and configure shell code. * Several tests: Adjust to use more POSIX shell features; e.g., $(...) rather than `...`, $((...)) rather than `expr ...`, "if ! CMD; then ..." instead of "if CMD; then :; else ...", and so on. In several places, when using the 'test' built-in, prefer '-eq' over '=' for numeric comparisons, and prefer "grep -c PATTERN FILE" over "grep PATTERN FILE | wc -l". Throw in other low-hanging easy improvements and fixlets while we are at it. * t/ax/depcomp.sh, t/ax/tap-summary-aux.sh, t/ax/tap-functions.sh, defs, defs-static.in: Likewise. Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
Diffstat (limited to 't/silent-many-generic.sh')
-rwxr-xr-xt/silent-many-generic.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/t/silent-many-generic.sh b/t/silent-many-generic.sh
index 394900978..242c8fe07 100755
--- a/t/silent-many-generic.sh
+++ b/t/silent-many-generic.sh
@@ -59,7 +59,7 @@ do_and_check_silent_build ()
grep 'CXXLD .*baz' stdout
grep 'CCLD .*bla' stdout
- if $rebuild; then :; else
+ if ! $rebuild; then
grep 'YACC .*foo6\.' stdout
grep 'YACC .*baz6\.' stdout
grep 'LEX .*foo5\.' stdout
@@ -85,7 +85,7 @@ do_and_check_verbose_build ()
$EGREP '(CC|CXX|FC|F77|LD) ' stdout && Exit 1
- if $rebuild; then :; else
+ if ! $rebuild; then
grep 'ylwrap ' stdout
$EGREP '(LEX|YACC) ' stdout && Exit 1
fi
@@ -216,7 +216,7 @@ cp foo6.y sub/baz6.y
mkdir bin
saved_PATH=$PATH; export saved_PATH
-PATH=`pwd`/bin$PATH_SEPARATOR$PATH; export PATH
+PATH=$(pwd)/bin$PATH_SEPARATOR$PATH; export PATH
$ACLOCAL
$AUTOMAKE --add-missing